CREATE SCHEMA UserMetadata;

CREATE TABLE UserMetadata.SchemaMetadata(
    -- standard fields
    _ts TIMESTAMP DEFAULT now(),
    RowId SERIAL,
    CreatedBy USERID,
    Created TIMESTAMP,
    ModifiedBy USERID,
    Modified TIMESTAMP,
    Owner USERID NULL,

    -- other fields
    associateduser USERID NOT NULL,

    CONSTRAINT PK_SchemaMetadata PRIMARY KEY (RowId),
    CONSTRAINT FK_SchemaMetadata_UsersData FOREIGN KEY (associateduser) REFERENCES core.usersdata(userid)
);

CREATE TABLE UserMetadata.QueryMetadata(
    -- standard fields
    _ts TIMESTAMP DEFAULT now(),
    RowId SERIAL,
    CreatedBy USERID,
    Created TIMESTAMP,
    ModifiedBy USERID,
    Modified TIMESTAMP,
    Owner USERID NULL,

    -- other fields
    associateduser USERID NOT NULL,

    CONSTRAINT PK_QueryMetadata PRIMARY KEY (RowId),
    CONSTRAINT FK_QueryMetadata_UsersData FOREIGN KEY (associateduser) REFERENCES core.usersdata(userid)
);

